#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAF,0xD7,0x2A,0x83,0x2B,0xCD,0x81,0xE7,0x08,0xDD,0x7F,0xDA,
		0x9F,0x5F,0x77,0xB5,0x06,0xA1,0x34,0xAB,0xA4,0x14,0x34,0x77,
		0x9E,0xC5,0x47,0x2A,0x3C,0x01,0x18,0x77,0xF7,0x74,0x42,0xF5,
		0xCA,0x4E,0xD8,0x07,0xAB,0xD9,0xA0,0x1F,0x72,0xBF,0xA5,0x70,
		0x80,0x2C,0xA6,0xCB,0x92,0xCF,0x44,0x48,0x67,0x8D,0xC1,0xCA,
		0x7A,0x7F,0x53,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
